:root{
  --white: #ffffff;
  --red: #f94144;
  --orange: #f3722c;
  --peach: #f9844a;
  --tangerine: #f8961e;
  --yellow: #f9c74f;
  --grass:  #90be6d;
  --green: #43aa8b;
  --sea: #4d908e;
  --grey: #577590;
  --blue: #277da1;
  --black:#000000;
}

body{
    height: 100vh;
    width: 100%;
    background: -webkit-linear-gradient(right top, var(--red), var(--tangerine),var(--yellow), var(--green));
  }
  
  .container{
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .container{
    background: #fff;
    width: 410px;
    padding: 30px;
    box-shadow: 0 0 8px rgba(0,0,0,0.1);
  }
  
  .container .close-btn{
    position: absolute;
    right: 20px;
    top: 15px;
    font-size: 18px;
    cursor: pointer;
  }
  
  .container .text{
    font-size: 35px;
    font-weight: 600;
    text-align: center;
  }
  .container form{
    margin-top: -20px;
  }
  .container form .data{
    height: 45px;
    width: 100%;
    margin: 40px 0;

    text-align: left;
  }
  form .data label{
    font-size: 18px;
  }
  form .data input{
    height: 100%;
    width: 100%;
    padding-left: 10px;
    font-size: 17px;
    border: 1px solid silver;
  }
   
  form .btn{
    margin: 30px 0;
    height: 45px;
    width: 100%;
    position: relative;
    overflow: hidden;
  }
  form .btn .inner{
    height: 100%;
    width: 300%;
    position: absolute;
    left: -100%;
    z-index: -1;
    background: -webkit-linear-gradient(right top, var(--red), var(--tangerine),var(--yellow), var(--green));
    transition: all 0.4s;
  }
  form .btn:hover .inner{
    left: 0;
  }
  form .btn button{
    height: 100%;
    width: 100%;
    background: none;
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 1px;
    cursor: pointer;
  }
  